Bug 841451 - polkitd doesn't start in F18/rawhide upgraded from F17 using yum due to failure to create polkitd user/group
polkitd doesn't start in F18/rawhide upgraded from F17 using yum due to failu...
Status: CLOSED DUPLICATE of bug 844167
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
: 847791 851765 851862 (view as bug list)
Depends On: 870087 870090
Blocks: F18Beta/F18BetaBlocker 844167
  Show dependency treegraph
 
Reported: 2012-07-18 23:58 EDT by Stef Walter
Modified: 2014-09-13 14:57 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 12:30:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-07-18 23:58:46 EDT
Description of problem:

polkitd says the following when starting:

Error switching to user polkitd: Error calling getpwnam(): Success
Exiting with code 1

There is no polkitd user in /etc/passwd. This is after updating to rawhide yesterday.

Version-Release number of selected component (if applicable):

polkit-0.107-1.fc18.x86_64

How reproducible:

Every time. In addition systemd fails to start polkitd.

Actual results:

polkitd fails to start (and likely related, gdm fails to complete initialization). System does not go past a black screen with a spinning cursor on startup.

Expected results:

I can log into the system.
Comment 1 David Zeuthen 2012-07-19 10:23:55 EDT
(In reply to comment #0)
> There is no polkitd user in /etc/passwd. This is after updating to rawhide
> yesterday.

The spec file has this

 %pre
 getent group polkitd >/dev/null || groupadd -r polkitd
 getent passwd polkitd >/dev/null || useradd -r -g polkitd -d / -s /sbin/nologin -c "User for polkitd" polkitd
 exit 0

which is standard fare. Is there anything interesting in your logs about this %pre script failing?

Does 'yum reinstall polkit' fix the problem?

FWIW, Bill (added as Cc) also ran into this a few weeks back. We couldn't figure out what to do with it.

I don't think this is a polkit bug but I don't know what to reassign it to either.
Comment 2 David Zeuthen 2012-07-19 10:32:29 EDT
(In reply to comment #0)
> polkitd fails to start (and likely related, gdm fails to complete
> initialization). System does not go past a black screen with a spinning
> cursor on startup.

gdm (and the rest of the desktop shell as well) really needs to work in the case where polkitd is not available - for example, you could disable, mask it or (in the future) even not install it. I've filed bug 841602 against gdm for this.
Comment 3 Stef Walter 2012-07-20 03:01:34 EDT
These are the messages that contain 'polkit' in /var/log/messages. It looks like  there are no messages related to failure to add the polkitd user. 

Jul 10 08:16:31 stef-rawhide polkitd[588]: started daemon version 0.104 using authority implementation `local' version `0.104'
Jul 10 13:57:31 stef-rawhide dbus-daemon[583]: ** (realmd:11080): WARNING **: couldn't check polkit authorization: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.166" (uid=0 pid=11080 comm="/usr/lib64/realmd/realmd ") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.4" (uid=0 pid=588 comm="/usr/libexec/polkit-1/polkitd --no-debug ")
Jul 11 07:58:27 stef-rawhide polkitd[722]: started daemon version 0.104 using authority implementation `local' version `0.104'
Jul 14 06:53:34 stef-rawhide polkitd[683]: started daemon version 0.104 using authority implementation `local' version `0.104'
Jul 16 10:58:36 stef-rawhide polkitd[685]: started daemon version 0.104 using authority implementation `local' version `0.104'
Jul 17 06:33:09 stef-rawhide polkitd[631]: started daemon version 0.104 using authority implementation `local' version `0.104'
Jul 18 08:54:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:39 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:39 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:39 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:39 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:54:39 stef-rawhide yum[11152]: Updated: polkit-0.107-1.fc18.x86_64
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:55:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:58:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:58:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:58:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:58:35 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:07 stef-rawhide yum[11152]: Updated: polkit-docs-0.107-1.fc18.noarch
Jul 18 08:59:07 stef-rawhide yum[11152]: Updated: polkit-devel-0.107-1.fc18.x86_64
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:28 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:33 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:45 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 08:59:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:14 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:14 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:32 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:50 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:50 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:50 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:00:50 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:01:49 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:02:43 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:03:04 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:21 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:21 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:21 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:21 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:23 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:23 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:23 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:23 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:26 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:26 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:26 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:26 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:08:38 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:10:05 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:10:05 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:14:20 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 09:15:16 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 20:32:47 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 21:18:10 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 18 23:02:29 stef-rawhide dbus-daemon[605]: Unknown username "polkitd" in message bus configuration file
Jul 19 06:34:41 stef-rawhide dbus-daemon[610]: Unknown username "polkitd" in message bus configuration file
Jul 19 06:34:41 stef-rawhide dbus-daemon[610]: Unknown username "polkitd" in message bus configuration file
Jul 19 06:34:45 stef-rawhide dbus-daemon[610]: dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:34:45 stef-rawhide dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:34:45 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 06:34:45 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 06:35:10 stef-rawhide dbus-daemon[610]: dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:35:10 stef-rawhide dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:35:10 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 06:35:10 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 06:35:37 stef-rawhide dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:35:37 stef-rawhide dbus-daemon[610]: dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:35:37 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 06:35:37 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 05:36:04 stef-rawhide accounts-daemon[1058]: ** (accounts-daemon:1058): CRITICAL **: error getting polkit authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.freedesktop.PolicyKit1 timed out
Jul 19 06:00:12 stef-rawhide dbus-daemon[610]: dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:00:12 stef-rawhide dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:00:12 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 06:00:12 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 06:13:20 stef-rawhide dbus-daemon[610]: dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:13:20 stef-rawhide dbus[610]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 06:13:20 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 06:13:20 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 08:48:44 stef-rawhide dbus-daemon[609]: Unknown username "polkitd" in message bus configuration file
Jul 19 08:48:44 stef-rawhide dbus-daemon[609]: Unknown username "polkitd" in message bus configuration file
Jul 19 08:48:46 stef-rawhide dbus-daemon[609]: dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:48:46 stef-rawhide dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:48:47 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 08:48:47 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 08:49:11 stef-rawhide dbus-daemon[609]: dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:49:11 stef-rawhide dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:49:11 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 08:49:11 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 08:49:38 stef-rawhide dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:49:38 stef-rawhide dbus-daemon[609]: dbus[609]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 19 08:49:38 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 19 08:49:38 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 19 07:50:03 stef-rawhide accounts-daemon[1057]: ** (accounts-daemon:1057): CRITICAL **: error getting polkit authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.freedesktop.PolicyKit1 timed out
Jul 20 09:29:02 stef-rawhide dbus-daemon[630]: Unknown username "polkitd" in message bus configuration file
Jul 20 09:29:02 stef-rawhide dbus-daemon[630]: Unknown username "polkitd" in message bus configuration file
Jul 20 09:29:02 stef-rawhide dbus-daemon[630]: dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:02 stef-rawhide dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:02 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 20 09:29:02 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 20 09:29:27 stef-rawhide dbus-daemon[630]: dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:27 stef-rawhide dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:27 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 20 09:29:27 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 20 09:29:54 stef-rawhide dbus-daemon[630]: dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:54 stef-rawhide dbus[630]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Jul 20 09:29:54 stef-rawhide systemd[1]: polkit.service: main process exited, code=exited, status=1
Jul 20 09:29:54 stef-rawhide systemd[1]: Unit polkit.service entered failed state.
Jul 20 09:30:19 stef-rawhide accounts-daemon[1145]: ** (accounts-daemon:1145): CRITICAL **: error getting polkit authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Activation of org.freedesktop.PolicyKit1 timed out
Comment 4 Stef Walter 2012-07-20 03:03:12 EDT
After reinstalling, the polkitd user appeared:


[root@stef-rawhide log]# yum reinstall polkit
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
google-chrome                                            |  951 B     00:00 !!! 
rawhide/metalink                                         |  21 kB     00:00     
rawhide                                                  | 4.2 kB     00:00     
rawhide-debuginfo/metalink                               |  20 kB     00:00     
rawhide-debuginfo                                        | 3.1 kB     00:00     
(1/2): rawhide/primary_db                                |  15 MB     00:19     
(2/2): rawhide-debuginfo/primary_db                      | 1.6 MB     00:20     
rawhide/group_gz                                         | 381 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package polkit.x86_64 0:0.107-1.fc18 will be reinstalled
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch            Version                 Repository        Size
================================================================================
Reinstalling:
 polkit          x86_64          0.107-1.fc18            rawhide          154 k

Transaction Summary
================================================================================
Reinstall  1 Package

Total download size: 154 k
Installed size: 436 k
Is this ok [y/N]: y
Downloading Packages:
polkit-0.107-1.fc18.x86_64.rpm                           | 154 kB     00:00     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : polkit-0.107-1.fc18.x86_64                                   1/1 
  Verifying  : polkit-0.107-1.fc18.x86_64                                   1/1 

Installed:
  polkit.x86_64 0:0.107-1.fc18                                                  

Complete!
[root@stef-rawhide log]# grep polkit /etc/passwd
polkitd:x:992:986:User for polkitd:/:/sbin/nologin
Comment 5 leigh scott 2012-07-30 06:40:52 EDT
(In reply to comment #1)

> I don't think this is a polkit bug but I don't know what to reassign it to
> either.

Try reassigning it to polkit-gnome as gtk3 changes my have broken it.
Comment 6 David Zeuthen 2012-08-06 11:01:56 EDT
(In reply to comment #5)
> (In reply to comment #1)
> 
> > I don't think this is a polkit bug but I don't know what to reassign it to
> > either.
> 
> Try reassigning it to polkit-gnome as gtk3 changes my have broken it.

No. yum/rpm failing to create the polkitd user as requested in the %pre snippet has nothing to do with polkit-gnome.
Comment 7 Adam Williamson 2012-08-13 15:48:17 EDT
So, AFAICT this is still happening. The most accurate description of the symptoms seems to be this neat one from 847791:

"When yum updating from f17 to f18 I get

  Updating   : polkit-0.107-2.fc18.x86_64         166/436 
warning: user polkitd does not exist - using root
warning: user polkitd does not exist - using root

- and the polkitd user do not exist after upgrading.

Removing the package (with force) and installing it again works correctly and the %pre will correctly create the user.

I have no idea why it didn't work while updating."

That's exactly my current understanding of the bug, too. Any 'yum update' from 17 to 18 winds up destroying the 'polkitd' user. a straight 'yum reinstall polkit' fixes it.

We don't know yet if a fresh install of F18 hits this, really, as everything's been in so much disarray and we don't have a working F18 Alpha compose yet. When we get one, we'll see.

Any luck from your end on this one, David?
Comment 8 Adam Williamson 2012-08-13 18:00:41 EDT
*** Bug 847791 has been marked as a duplicate of this bug. ***
Comment 9 Colin Walters 2012-08-15 11:21:36 EDT
Hmm...are there really no macros for adding a system user?

It looks like both gdm and dbus simply call useradd unconditionally, and ignore errors.
Comment 10 Mads Kiilerich 2012-08-15 11:44:31 EDT
Yes, the most likely explanation is that getent for some reason fails to fail when the user/group doesn't exist. Running unconditionally would fix that.

Alternatively that the requirements to shadow-utils are insufficient and that useradd is in limbo when it is run from the pre script.
Comment 11 Charles R. Anderson 2012-08-15 11:49:53 EDT
Possible dup of Bug #844167 ?
Comment 12 Adam Williamson 2012-08-15 16:10:36 EDT
"Yes, the most likely explanation is that getent for some reason fails to fail when the user/group doesn't exist."

I disagree. If that's the reason, why does it work you 'yum reinstall polkit'? The exact same script is used.

charles: it's possible they're the same thing, yes. That would be a dupe of this, though, not vice versa =)
Comment 13 Adam Williamson 2012-08-15 16:11:05 EDT
colin: mads: see 844167 - selinux may be to blame here. I'll try and find some time to test in a VM with selinux enabled and disabled and compare the results.
Comment 14 Adam Williamson 2012-08-15 16:12:14 EDT
There don't seem to be any macros, AFAICT. The documentation page for creating users and groups in packages is https://fedoraproject.org/wiki/Packaging/UsersAndGroups . polkit is using the snippet recommended there.
Comment 15 Adam Williamson 2012-08-16 12:14:27 EDT
Catching up from last week - this was discussed at 2012-08-10 blocker review meeting. We agreed it looked worrying, but we needed to test and see if it happened on a clean install to know if it blocked Alpha, as upgrade issues do not (they block Beta).
Comment 16 Adam Williamson 2012-08-16 14:56:36 EDT
Discussed at 2012-08-16 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-08-16/f18-alpha-blocker-review-3.2012-08-16-16.00.html . We agreed we still need a bit more data on this (we can't be sure of the fresh install situation as we still don't have an F18 image capable of doing one properly). We noted the likelihood that this is the same as 844167; if that's the case, then this bug would likely affect only F17->F18 upgrades done with yum (anaconda-based upgrades run in Permissive mode). That would make it not a blocker at all. But we still need to verify this.
Comment 17 Adam Williamson 2012-08-20 19:24:26 EDT
Discussed at 2012-08-20 QA meeting, acting as a blocker review meeting: http://meetbot.fedoraproject.org/fedora-meeting/2012-08-20/fedora-qa.2012-08-20-15.00.html . We still need to re-evaluate this.
Comment 18 Adam Williamson 2012-08-22 12:25:40 EDT
Discussed at 2012-08-22 blocker review meeting. tflink had a clean tc3 install lying around and verified polkit service is running and polkitd user/group exist. This provides backup for the belief that this is a case of 844167 and affects only upgrades from F17. I expect it would affect only yum upgrades, since the bug is related to SELinux and anaconda runs in Permissive mode, but we agreed to mark the bug as a proposed Beta blocker and check that for sure later.

We could just make this a dupe of 844167, but as it's a specific case which has really catastrophic consequences and is being considered for blocker status, let's keep it separate for now.
Comment 19 John Ellson 2012-08-26 14:21:19 EDT
This bug just bit me hard .... (see 851862).

Dumb question:   Wouldn't a simple version bump of polkit for fc18 get this to reinstall automatically?  Even for those of us upgrading using yum?
Comment 20 Kevin Fenzi 2012-08-26 14:34:42 EDT
*** Bug 851862 has been marked as a duplicate of this bug. ***
Comment 21 John Ellson 2012-08-26 15:10:44 EDT
*** Bug 851765 has been marked as a duplicate of this bug. ***
Comment 22 Adam Williamson 2012-08-27 20:32:58 EDT
John: no, that wouldn't help.

The problem is that when the package is updated during the f17->f18 upgrade, the polkitd user/group are not created as they should be. It's not that the package isn't updated at all during the upgrade, it is.

My current understanding is this is very likely caused by 844167: the %pre script does run, but as it's running in an F17 environment, that issue in selinux-policy prevents the user/group creation from actually happening. When you do the 'yum reinstall polkit' after upgrade, the %pre script fires again; this time it's running in an F18 environment, and F18's selinux-policy allows the user/group creation.

That's my best guess anyhow.
Comment 23 Martin 2012-08-29 12:16:47 EDT
I think this bug should be reassigned to selinux-policy for F17. It's clearly selinux issue and F18's selinux-policy works.
Comment 24 Adam Williamson 2012-08-29 13:04:38 EDT
Discussed at 2012-08-29 blocker review meeting. We're pretty confident this isn't causing 849990, so we're dropping that dep, which takes it out of the list again.

Martin: if anything we should just mark this as dupe of 844167...
Comment 25 Adam Williamson 2012-10-03 12:30:12 EDT
Discussed at 2012-10-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-03/f18-beta-blocker-review-2.2012-10-03-16.00.log.txt . This just keeps popping up like a bad penny. We're sure it's 844167, and we'll be testing the official upgrade tool directly when it's released, so if this somehow affects it, we'll catch it. So, closing as a dupe of 844167.

*** This bug has been marked as a duplicate of bug 844167 ***
Comment 26 Kamil Dudka 2013-05-07 08:42:24 EDT
'yum reinstall polkit' on up2date f18 fixed the problem for me.

Note You need to log in before you can comment on or make changes to this bug.